<div class="mat-dialog-content-container">
    <h1 mat-dialog-title>{{modalTitle}}</h1>
    <mat-dialog-content>
        <ng-container *ngIf="data.isDeletable">
            <ng-container *ngIf="data.inDiffListDest">
                <h2>{{lang.redirectUserListDiff}}</h2>
                <div class="alert-message alert-message-info" role="alert">
                    <b>{{this.data.userDestRedirect.firstname}} {{this.data.userDestRedirect.lastname}}</b>&nbsp;<span
                        [innerHTML]="lang.chooseNewDest"></span> :
                </div>

                <div *ngFor="let redirectModel of data.redirectListModels; index as i" id="{{redirectModel.object_id}}"
                    class="form-group">
                    <plugin-autocomplete [labelPlaceholder]="lang.newDest + ' : ' + redirectModel.title"
                        [labelList]="lang.availableUsers" [routeDatas]="['/rest/autocomplete/users']"
                        [targetSearchKey]="'idToDisplay'" [subInfoKey]="'descriptionToDisplay'"
                        (triggerEvent)="setRedirectUserListModels(i, $event)" singleMode required></plugin-autocomplete>
                </div>
            </ng-container>
            <ng-container *ngIf="data.isResDestUser">
                <h2>{{lang.redirectUserListInstances}}</h2>
                <div class="alert-message alert-message-info" role="alert">
                    <b>{{this.data.userDestRedirect.firstname}} {{this.data.userDestRedirect.lastname}}</b>&nbsp;<span
                        [innerHTML]="lang.chooseNewDestUser"></span> :
                </div>

                <div id="{{this.data.userDestRedirect.user_id}}" class="form-group">
                    <plugin-autocomplete [labelPlaceholder]="lang.newDestRes" [labelList]="lang.availableUsers"
                        [routeDatas]="['/rest/autocomplete/users']" [targetSearchKey]="'idToDisplay'"
                        [subInfoKey]="'descriptionToDisplay'" (triggerEvent)="setRedirectUserRes($event)" singleMode
                        required></plugin-autocomplete>
                </div>
            </ng-container>
            <ng-container *ngIf="!data.inDiffListDest && !data.isResDestUser">
                <div class="alert" role="alert">
                    <b *ngIf="data.userDestRedirect.mode == 'delete'">{{lang.delete}}
                        {{this.data.userDestRedirect.firstname}} {{this.data.userDestRedirect.lastname}}</b>&nbsp;
                    <b *ngIf="data.userDestRedirect.mode == 'suspend'">{{lang.suspend}}
                        {{this.data.userDestRedirect.firstname}} {{this.data.userDestRedirect.lastname}}</b>&nbsp;
                </div>
            </ng-container>
        </ng-container>
        <ng-container *ngIf="!data.isDeletable">
            <div class="alert-message alert-message-info" role="alert">
                <p><span [innerHTML]="lang.userIsNotDeletable"></span> <b>{{this.data.userDestRedirect.firstname}}
                        {{this.data.userDestRedirect.lastname}}</b>&nbsp;</p>
                <p><span [innerHTML]="lang.userIsDeletableBy"></span></p>
            </div>
            <div class="modal-body" *ngIf="data.inTemplateList" class="col-md-6">
                <mat-list>
                    <p mat-line>{{lang.diffusionList}}</p>
                    <mat-list-item *ngFor="let templateEntity of data.listTemplateEntities">
                        <mat-icon mat-list-icon><i class="fa fa-share-alt" color="primary"></i></mat-icon>
                        <p mat-line><span> {{templateEntity}} </span></p>
                    </mat-list-item>
                </mat-list>
            </div>
            <div class="modal-body" *ngIf="data.inInstanceList" class="col-md-6">
                <mat-list>
                    <p mat-line>{{lang.mailEntitiesList}}</p>
                    <mat-list-item *ngFor="let instanceEntity of data.listInstanceEntities">
                        <mat-icon mat-list-icon><i class="fa fa-inbox" color="primary"></i></mat-icon>
                        <p mat-line><span> {{instanceEntity}} </span></p>
                    </mat-list-item>
                </mat-list>
            </div>
        </ng-container>
    </mat-dialog-content>
    <span class="divider-modal"></span>
    <mat-dialog-actions>
        <button mat-raised-button color="warn" *ngIf="data.userDestRedirect.mode == 'delete' && data.isDeletable"
            type="submit" class="btn btn-danger" (click)="dialogRef.close(this.data)"
            [disabled]="!sendFunction()">{{lang.delete}}
            {{lang.user}}</button>
        <button mat-raised-button color="primary" *ngIf="data.userDestRedirect.mode == 'suspend' && data.isDeletable"
            type="submit" (click)="dialogRef.close(this.data)" [disabled]="!sendFunction()">{{lang.suspend}}
            {{lang.user}}</button>
        <button mat-raised-button color="primary" *ngIf="!data.isDeletable" type="submit"
            (click)="dialogRef.close()">{{lang.close}}</button>
    </mat-dialog-actions>
</div>
